"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd-mobile/lib/modal/style");

var _modal = _interopRequireDefault(require("antd-mobile/lib/modal"));

require("antd-mobile/lib/list/style");

var _list = _interopRequireDefault(require("antd-mobile/lib/list"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _closest = _interopRequireDefault(require("../_util/closest"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Item = _list["default"].Item;
var prefixCls = 'eh-select-organization';

var SelectOrganization =
/*#__PURE__*/
function (_ref) {
  _inherits(SelectOrganization, _ref);

  function SelectOrganization() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SelectOrganization);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SelectOrganization)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {});

    _defineProperty(_assertThisInitialized(_this), "onWrapTouchStart", function (e) {
      // fix touch to scroll background page on iOS
      if (!/iPhone|iPod|iPad/i.test(navigator.userAgent)) {
        return;
      }

      var pNode = (0, _closest["default"])(e.target, '.am-modal-content');

      if (!pNode) {
        e.preventDefault();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onClose", function () {
      var onClose = _this.props.onClose;
      onClose && onClose();
    });

    _defineProperty(_assertThisInitialized(_this), "onChose", function (org) {
      var _this$props = _this.props,
          onClose = _this$props.onClose,
          onChose = _this$props.onChose;
      onChose && onChose(org);
      onClose && onClose();
    });

    return _this;
  }

  _createClass(SelectOrganization, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          visible = _this$props2.visible,
          dataList = _this$props2.dataList,
          nameKey = _this$props2.nameKey,
          valueKey = _this$props2.valueKey,
          title = _this$props2.title;

      if (!visible) {
        return null;
      }

      return _react["default"].createElement("div", {
        className: prefixCls
      }, _react["default"].createElement(_modal["default"], {
        visible: visible,
        transparent: true,
        maskClosable: false,
        onClose: this.onClose,
        title: title,
        footer: [{
          text: '取消',
          onPress: function onPress() {
            return _this2.onClose();
          }
        }],
        wrapProps: {
          onTouchStart: this.onWrapTouchStart
        },
        className: prefixCls
      }, _react["default"].createElement(_list["default"], null, dataList.map(function (org) {
        return _react["default"].createElement(Item, {
          key: org[valueKey],
          onClick: function onClick() {
            return _this2.onChose(org);
          }
        }, org[nameKey] || '');
      }))));
    }
  }]);

  return SelectOrganization;
}(_react.PureComponent || _react.Component);

SelectOrganization.propTypes = {
  visible: _propTypes["default"].bool,
  dataList: _propTypes["default"].array,
  title: _propTypes["default"].string,
  onClose: _propTypes["default"].func,
  onChose: _propTypes["default"].func,
  // name的key值，决定从数据中获取哪个字段作为name，默认为name
  nameKey: _propTypes["default"].string,
  // value的key值，决定从数据中获取哪个字段作为value，默认为id
  valueKey: _propTypes["default"].string
};
SelectOrganization.defaultProps = {
  visible: false,
  dataList: [],
  title: '请选择企业',
  nameKey: 'name',
  valueKey: 'id'
};
var _default = SelectOrganization;
exports["default"] = _default;